%define        _class           MDB2_Driver_pgsql
%define        _pearname        %{_class}
%define        _status          beta

Summary:        %{_pearname} - pgsql MDB2 driver
Name:           php-pear-%{_pearname}
Version:        1.5.0b1
Release:        %mkrel 5
Epoch:          0
License:        PHP License
Group:          Development/PHP
Source0:        http://download.pear.php.net/package/MDB2_Driver_pgsql-%{version}.tgz
URL:            http://pear.php.net/package/MDB2_Driver_pgsql/
Requires:	php-pgsql
Requires(post): php-pear
Requires(preun): php-pear
Requires:       php-pear
Requires:       php-pear-MDB2
BuildArch:      noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
MDB2 pgsql driver.

In PEAR status of this package is: %{_status}.

%prep
%setup -q -c
find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then %{__rm} -rf $i; fi >&/dev/null
done

# strip away annoying ^M
find -type f | %{__grep} -v ".gif" | %{__grep} -v ".png" | %{__grep} -v ".jpg" | xargs %{__perl} -pi -e 's|\r$||g'

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_datadir}/pear/MDB2/Driver/{Datatype,Function,Manager,Native,Reverse}

%{__cp} -a %{_pearname}-%{version}/MDB2/Driver/*.php %{buildroot}%{_datadir}/pear/MDB2/Driver/
%{__cp} -a %{_pearname}-%{version}/MDB2/Driver/Datatype/*.php %{buildroot}%{_datadir}/pear/MDB2/Driver/Datatype/
%{__cp} -a %{_pearname}-%{version}/MDB2/Driver/Function/*.php %{buildroot}%{_datadir}/pear/MDB2/Driver/Function/
%{__cp} -a %{_pearname}-%{version}/MDB2/Driver/Manager/*.php %{buildroot}%{_datadir}/pear/MDB2/Driver/Manager/
%{__cp} -a %{_pearname}-%{version}/MDB2/Driver/Native/*.php %{buildroot}%{_datadir}/pear/MDB2/Driver/Native/
%{__cp} -a %{_pearname}-%{version}/MDB2/Driver/Reverse/*.php %{buildroot}%{_datadir}/pear/MDB2/Driver/Reverse/

%{__mkdir_p} %{buildroot}%{_datadir}/pear/packages
%{__cp} -a package.xml %{buildroot}%{_datadir}/pear/packages/%{_pearname}.xml

%post
if [ "$1" = "1" ]; then
        if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
                %{_bindir}/pear install --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
        fi
fi
if [ "$1" = "2" ]; then
        if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
               %{_bindir}/pear upgrade -f --nodeps -r %{_datadir}/pear/packages/%{_pearname}.xml
        fi
fi

%preun
if [ "$1" = 0 ]; then
        if [ -x %{_bindir}/pear -a -f %{_datadir}/pear/packages/%{_pearname}.xml ]; then
                %{_bindir}/pear uninstall --nodeps -r %{_pearname}
        fi
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc
%{_datadir}/pear/MDB2/Driver/Datatype/pgsql.php
%{_datadir}/pear/MDB2/Driver/Function/pgsql.php
%{_datadir}/pear/MDB2/Driver/Manager/pgsql.php
%{_datadir}/pear/MDB2/Driver/Native/pgsql.php
%{_datadir}/pear/MDB2/Driver/Reverse/pgsql.php
%{_datadir}/pear/MDB2/Driver/pgsql.php
%{_datadir}/pear/packages/%{_pearname}.xml


%changelog
* Sun Sep 07 2008 Oden Eriksson <oeriksson@mandriva.com> 0:1.5.0b1-5mdv2009.0
+ Revision: 282106
- fix deps

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:1.5.0b1-4mdv2009.0
+ Revision: 258998
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0:1.5.0b1-3mdv2009.0
+ Revision: 246878
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Tue Mar 25 2008 Oden Eriksson <oeriksson@mandriva.com> 0:1.5.0b1-1mdv2008.1
+ Revision: 189947
- status is really beta
- 1.5.0b1 (fixes CVE-2007-5934)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri May 04 2007 Oden Eriksson <oeriksson@mandriva.com> 0:1.4.1-1mdv2008.0
+ Revision: 22356
- 1.4.1

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0:1.4.0-1mdv2008.0
+ Revision: 15776
- fix build
- 1.4.0


* Fri Dec 15 2006 David Walluck <walluck@mandriva.org> 1.3.0-1mdv2007.0
+ Revision: 97243
- Import php-pear-MDB2_Driver_pgsql

